package com.ruoyi.pt.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.pt.entity.BEventAccess;

/**
 * 事件接⼊Service接口
 * 
 * @author ruoyi
 * @date 2023-12-06
 */
public interface IBEventAccessService  extends IService<BEventAccess>
{
    /**
     * 查询事件接⼊
     * 
     * @param id 事件接⼊主键
     * @return 事件接⼊
     */
    public BEventAccess selectBEventAccessById(Long id);

    /**
     * 查询事件接⼊列表
     *
     * @param bEventAccess 事件接⼊
     * @return 事件接⼊集合
     */
    public List<BEventAccess> selectBEventAccessList(BEventAccess bEventAccess);

    /**
     * 新增事件接⼊
     *
     * @param bEventAccess 事件接⼊
     * @return 结果
     */
    public boolean insertBEventAccess(List<BEventAccess> bEventAccess);

    /**
     * 修改事件接⼊
     * 
     * @param bEventAccess 事件接⼊
     * @return 结果
     */
    public int updateBEventAccess(BEventAccess bEventAccess);

    /**
     * 批量删除事件接⼊
     * 
     * @param ids 需要删除的事件接⼊主键集合
     * @return 结果
     */
    public int deleteBEventAccessByIds(Long[] ids);

    /**
     * 删除事件接⼊信息
     * 
     * @param id 事件接⼊主键
     * @return 结果
     */
    public int deleteBEventAccessById(Long id);
}
