package com.ruoyi.pt.service;

/**
 * 远程调用服务层
 *
 * @author wu
 * @since 2023/12/15 16:02
 */
public interface RemoteCallsService {

    /**
     * 获取公共accessToken
     *
     * @return accessToken
     */
    String getAccessToken();

    /**
     * 事件进度推送接口
     * @param allPush 是否全推送 1为推送所有 null为推送当天
     */
    void imports(Integer allPush);

    /**
     * 临时推送
     */
    void temporaryImports();

    /**
     * 获取社会治理中心增量事件保存到events_import表
     */
    void getEventDate();

    /**
     * 紧急事件接口
     * @param localDate 昨天日期字符串 yyyy-MM-dd
     */
    void urgentAlgorithm(String localDate);

    /**
     * 群体事件接口
     */
    void groupAlgorithm();

    /**
     * 同人事件接口
     */
    void onepersonAlgorithm();
}
